# ij.protocol.protocolName property

#### Function

This property is similar to the ij.protocol property. The only difference is that it associates a name with the value, thus allowing you to define and use more than one protocol. (See Connect command.)

#### Syntax

    ij.protocol.protocolName=protocolForEnvironment

#### Example

    D:>java -Dij.protocol.derby=jdbc:derby:
    -Dij.protocol.emp=jdbc:derby: org.apache.derby.tools.ij
    ij version 10.5
    ij> Connect 'newDB' protocol derby as new;
    ij>

#### See also

- Protocol command

Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.database property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.showErrorCode property
ij.showNoConnectionsAtStart property
ij.showNoCountForSelect property
ij.URLCheck property
ij.user property
derby.ui.codeset property